package com.webchat.user.service.relation;

public interface AccountRelationWapper {


    /**
     * 订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    Boolean subscribe(String sourceAccount, String targetAccount);

    /**
     * 取消订阅/关注
     *
     * @param sourceAccount
     * @param targetAccount
     * @return
     */
    Boolean unsubscribe(String sourceAccount, String targetAccount);

}
