package com.webchat.user.service.relation;

import com.webchat.common.enums.AccountRelationTypeEnum;
import org.springframework.stereotype.Service;


@Service
public class User2GroupAccountRelationService extends AbstractAccountRelationService {


    @Override
    protected AccountRelationTypeEnum getRelationType() {

        return AccountRelationTypeEnum.USER_GROUP;
    }

    @Override
    protected boolean isAsyncDoAfterComplete() {

        return true;
    }

    @Override
    protected void doAfterComplete(Long id, String sourceAccount, String targetAccount, boolean subscribe) {
        // TODO
    }
}
