package com.webchat.user.service.relation;

import com.webchat.common.enums.AccountRelationTypeEnum;
import org.springframework.stereotype.Service;


@Service
public class User2UserAccountRelationService extends AbstractAccountRelationService {


    @Override
    protected AccountRelationTypeEnum getRelationType() {

        return AccountRelationTypeEnum.USER_USER;
    }

    @Override
    protected boolean isAsyncDoAfterComplete() {

        return true;
    }

    @Override
    protected void doAfterComplete(Long id, String sourceAccount, String targetAccount, boolean subscribe) {
        // TODO

    }

    /**
     * 基于ws，为targetAccount推送订阅消息红点提醒
     */
    private void doNotifyRedPointByWebSocket() {

    }
}
