package com.webchat.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum AccountRelationTypeEnum {

    USER_USER(1, "好友关注"),
    USER_GROUP(2, "加入群聊"),
    USER_OFFICIAL(3, "订阅公众号"),
    USER_ROBOT(4, "添加机器人");

    private Integer type;
    private String typeName;
}
