package com.webchat.user.repository.dao;

import com.webchat.user.repository.entity.AccountRelationEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

@Repository
public interface IAccountRelationDAO extends
        JpaSpecificationExecutor<AccountRelationEntity>,
        JpaRepository<AccountRelationEntity, Long> {


    AccountRelationEntity findAllBySourceAccountAndTargetAccount(String sourceAccount, String targetAccount);

}
